
%global meadversion 1.18.0
%global namedversion 1.18.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jansi}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.18.0.redhat-00001

Name:           %{?scl_prefix}jansi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        jansi
Group:          Development/Java

%if %with mead
Source100: jansi-project-1.18.0.redhat-00001-project-sources.tar.gz
Source102: jansi-1.18.0.redhat-00001.jar
Source103: jansi-project-1.18.0.redhat-00001.pom
Source104: jansi-1.18.0.redhat-00001-javadoc.jar
Source105: jansi-1.18.0.redhat-00001.pom
Source106: jansi-project-1.18.0.redhat-00001-site.xml
Source107: example-1.18.0.redhat-00001.pom
Source108: example-1.18.0.redhat-00001-sources.jar
Source109: example-1.18.0.redhat-00001.jar
Source110: example-1.18.0.redhat-00001-javadoc.jar
Source111: jansi-1.18.0.redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            http://jansi.fusesource.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Jansi is a java library for generating and interpreting ANSI escape sequences.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jansi-project
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jansi-project-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jansi-%{namedversion}.jar %{buildroot}%{_javadir}/jansi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jansi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jansi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jansi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jansi-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jansi-website-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jansi-website-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jansi-website-%{namedversion} -x META-INF/\*
%{__ln_s} jansi-website-%{namedversion} %{buildroot}%{_javadocdir}/jansi-website
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc changelog.md KEYS license.txt readme.md
%{_javadir}/jansi-%{namedversion}.jar
%{_javadir}/jansi.jar
%if %with javadoc
%{_javadir}/jansi-%{namedversion}-javadoc.jar
%{_javadir}/jansi-javadoc.jar
%endif
%{_javadir}/jansi-%{namedversion}-sources.jar
%{_javadir}/jansi-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jansi-project-%{namedversion}
%{_javadocdir}/jansi-project
%endif

%changelog
* Thu Jul 04 2019 Yong Yang <yyang@redhat.com> - 1.18.0-1.redhat_00001.1
- RPM wrapper build

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.16.0-6.redhat_4.1
- Rewrap for 7.2.0

* Thu Jul 27 2017 David Walluck <dwalluck@redhat.com> - 1.16.0-5.redhat_4.1
- rebuild for new hawtjni and jansi-native versions

* Tue Jun 20 2017 David Walluck <dwalluck@redhat.com> - 1.16.0-4.redhat_3.2
- update version

* Tue Jun 20 2017 David Walluck <dwalluck@redhat.com> - 1.16.0-3.redhat_2.2
- rebuild for jansi-native

* Tue May 30 2017 Petr Sakar <psakar@redhat.com> - 1.16.0-2.redhat_2.1
- upgrade to 1.16.0.redhat-2

* Thu May 25 2017 David Walluck <dwalluck@redhat.com> - 1.16.0-1.redhat_1.1
- 1.16

* Wed Aug 10 2016 Fernando Nasser <fnasser@redhat.com> - 1.11.0-2.redhat_2.1
- Upgrade to 1.11.0.redhat-2

* Thu Oct 15 2015 David Walluck <dwalluck@redhat.com> - 1.11.0-1.redhat_1.1
- 1.11

* Thu Jun 25 2015 David Walluck <dwalluck@redhat.com> - 1.9.0-1.redhat_6.1
- release

